# Class AwtDialog

java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Dialog
javax.swing.JDialog
jspecview.java.AwtDialog

All Implemented Interfaces:
  `ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants, PlatformDialog`

public class AwtDialog extends JDialog implements PlatformDialog
AwtDialog extends JDialog, interpreting DialogManager's requests in terms of Swing and AWT.

Author:
  Bob Hanson hansonr@stolaf.edu
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class JDialog

`JDialog.AccessibleJDialog`

### Nested classes/interfaces inherited from class Dialog

`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

### Nested classes/interfaces inherited from class Window

`Window.AccessibleAWTWindow, Window.Type`

### Nested classes/interfaces inherited from class Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JPanel`
`leftPanel`
`protected DialogManager`
`manager`
`protected String`
`optionKey`
`protected Map<String,Object>`
`options`
`protected String`
`registryKey`
`protected int`
`selectedRow`
`protected boolean`
`tableCellAlignLeft`

### Fields inherited from class JDialog

`accessibleContext, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class Dialog

`DEFAULT_MODALITY_TYPE`

### Fields inherited from class Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

## Constructor Summary

Constructors
Constructor
Description
`AwtDialog(DialogManager manager, JSVDialog jsvDialog, String registryKey)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`addButton(String name, String text)`
`Object`
`addCheckBox(String name, String title, int level, boolean isSelected)`
`Object`
`addSelectOption(String name, String label, String[] info, int iPt, boolean visible)`
`Object`
`addTextField(String name, String label, String value, String units, String defaultValue, boolean visible)`
/ get/set methods ////
`void`
`createTable(Object[][] data, String[] header, int[] widths)`
`void`
`dispose()`
`void`
`endLayout()`
`protected int`
`getColumnCentering(int column)`
`int`
`getSelectedIndex(Object c)`
`Object`
`getSelectedItem(Object combo)`
`String`
`getText(Object o)`
`boolean`
`isSelected(Object chkbox)`
`void`
`selectTableRow(int i)`
`void`
`setCellSelectionEnabled(boolean enabled)`
`void`
`setEnabled(Object btn, boolean b)`
/ Table-related methods ////
`void`
`setFocus(boolean tf)`
`void`
`setIntLocation(int[] loc)`
`void`
`setPreferredSize(int width, int height)`
`void`
`setSelected(Object chkbox, boolean b)`
`void`
`setSelectedIndex(Object combo, int i)`
`void`
`setText(Object o, String text)`
`void`
`setVisible(boolean tf)`
`void`
`startLayout()`

### Methods inherited from class JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class Dialog

`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, show, toBack`

### Methods inherited from class Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

### Methods inherited from class Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface PlatformDialog

`isVisible, pack, repaint, setTitle`

## Field Details

### optionKey

protected String optionKey

### registryKey

protected String registryKey

### options

protected Map<String,Object> options

### manager

protected DialogManager manager

### leftPanel

protected JPanel leftPanel

### tableCellAlignLeft

protected boolean tableCellAlignLeft

### selectedRow

protected int selectedRow

## Constructor Details

### AwtDialog

public AwtDialog(DialogManager manager, JSVDialog jsvDialog, String registryKey)

## Method Details

### setFocus

public void setFocus(boolean tf)

Specified by:
  `setFocus` in interface `PlatformDialog`

### setVisible

public void setVisible(boolean tf)

Specified by:
  `setVisible` in interface `PlatformDialog`
Overrides:
  `setVisible` in class `Dialog`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `PlatformDialog`
Overrides:
  `dispose` in class `Window`

### getColumnCentering

protected int getColumnCentering(int column)

### addButton

public Object addButton(String name, String text)

Specified by:
  `addButton` in interface `PlatformDialog`

### addCheckBox

public Object addCheckBox(String name, String title, int level, boolean isSelected)

Specified by:
  `addCheckBox` in interface `PlatformDialog`

### addSelectOption

public Object addSelectOption(String name, String label, String[] info, int iPt, boolean visible)

Specified by:
  `addSelectOption` in interface `PlatformDialog`

### addTextField

public Object addTextField(String name, String label, String value, String units, String defaultValue, boolean visible)
/ get/set methods ////

Specified by:
  `addTextField` in interface `PlatformDialog`

### createTable

public void createTable(Object[][] data, String[] header, int[] widths)

Specified by:
  `createTable` in interface `PlatformDialog`

### endLayout

public void endLayout()

Specified by:
  `endLayout` in interface `PlatformDialog`

### getSelectedIndex

public int getSelectedIndex(Object c)

Specified by:
  `getSelectedIndex` in interface `PlatformDialog`

### getSelectedItem

public Object getSelectedItem(Object combo)

Specified by:
  `getSelectedItem` in interface `PlatformDialog`

### getText

public String getText(Object o)

Specified by:
  `getText` in interface `PlatformDialog`

### isSelected

public boolean isSelected(Object chkbox)

Specified by:
  `isSelected` in interface `PlatformDialog`

### selectTableRow

public void selectTableRow(int i)

Specified by:
  `selectTableRow` in interface `PlatformDialog`

### setCellSelectionEnabled

public void setCellSelectionEnabled(boolean enabled)

Specified by:
  `setCellSelectionEnabled` in interface `PlatformDialog`

### setEnabled

public void setEnabled(Object btn, boolean b)
/ Table-related methods ////

Specified by:
  `setEnabled` in interface `PlatformDialog`

### setIntLocation

public void setIntLocation(int[] loc)

Specified by:
  `setIntLocation` in interface `PlatformDialog`

### setPreferredSize

public void setPreferredSize(int width, int height)

Specified by:
  `setPreferredSize` in interface `PlatformDialog`

### setSelected

public void setSelected(Object chkbox, boolean b)

Specified by:
  `setSelected` in interface `PlatformDialog`

### setSelectedIndex

public void setSelectedIndex(Object combo, int i)

Specified by:
  `setSelectedIndex` in interface `PlatformDialog`

### setText

public void setText(Object o, String text)

Specified by:
  `setText` in interface `PlatformDialog`

### startLayout

public void startLayout()

Specified by:
  `startLayout` in interface `PlatformDialog`